CREATE TABLE ZH_WORDS (
  ID NUMBER(10) NOT NULL, 
  VALUE VARCHAR2(4000) NOT NULL, 
  IS_ACTIVE VARCHAR2(1) DEFAULT 'Y' NOT NULL, 
  CREATED DATE NOT NULL, 
  UPDATED DATE NOT NULL, 
  CREATED_BY VARCHAR2(255) NOT NULL, 
  ORGANIZATION_ID VARCHAR2(255) NOT NULL, 
  UPDATED_BY VARCHAR2(255) NOT NULL
)
/
ALTER TABLE ZH_WORDS ADD CONSTRAINT CHECK_10848 CHECK ("IS_ACTIVE"='N' OR "IS_ACTIVE"='Y')
/
CREATE SEQUENCE SEQ_ZH_WORDS_ID START WITH 1 MINVALUE 1 INCREMENT BY 1
/
CREATE TABLE ZH_LANGUAGE (
  ID NUMBER(10) NOT NULL, 
  SHORT_NAME VARCHAR2(6) NOT NULL, 
  LANGUAGE_ISO VARCHAR2(5) NOT NULL, 
  COUNTRY_CODE VARCHAR2(2) NOT NULL, 
  NAME VARCHAR2(120) NOT NULL, 
  DESCRIPTION VARCHAR2(510) NOT NULL, 
  HELP VARCHAR2(2000) NOT NULL, 
  IS_ACTIVE VARCHAR2(1) DEFAULT 'Y' NOT NULL, 
  ORGANIZATION_ID NUMBER(10) NOT NULL, 
  CREATED DATE NOT NULL, 
  UPDATED DATE NOT NULL, 
  CREATED_BY VARCHAR2(255) NOT NULL, 
  UPDATED_BY VARCHAR2(255) NOT NULL
)
/
ALTER TABLE ZH_LANGUAGE ADD CONSTRAINT CHECK_10862 CHECK ("IS_ACTIVE"='N' OR "IS_ACTIVE"='Y')
/
CREATE SEQUENCE SEQ_ZH_LANGUAGE_ID START WITH 1 MINVALUE 1 INCREMENT BY 1
/
CREATE TABLE ZH_PROJECT (
  ID NUMBER(10) NOT NULL, 
  NAME VARCHAR2(120) NOT NULL, 
  DESCRIPTION VARCHAR2(510) NOT NULL, 
  HELP VARCHAR2(2000) NOT NULL, 
  IS_ACTIVE VARCHAR2(1) DEFAULT 'Y' NOT NULL, 
  ORGANIZATION_ID NUMBER(10) NOT NULL, 
  CREATED DATE NOT NULL, 
  UPDATED DATE NOT NULL, 
  CREATED_BY VARCHAR2(255) NOT NULL, 
  UPDATED_BY VARCHAR2(255) NOT NULL
)
/
ALTER TABLE ZH_PROJECT ADD CONSTRAINT CHECK_10946 CHECK (("IS_ACTIVE"='N' OR "IS_ACTIVE"='Y'))
/
CREATE SEQUENCE SEQ_ZH_PROJECT_ID START WITH 1 MINVALUE 1 INCREMENT BY 1
/
CREATE TABLE ZH_REPOSITORY (
  ID NUMBER(10) NOT NULL, 
  IS_ACTIVE VARCHAR2(1) DEFAULT 'Y' NOT NULL, 
  IS_PUBLIC VARCHAR2(1) DEFAULT 'Y' NOT NULL, 
  WEB_HOOK VARCHAR2(120) NOT NULL, 
  FRONT_PATH VARCHAR2(300) NOT NULL, 
  ORGANIZATION_ID NUMBER(10) NOT NULL, 
  CREATED DATE NOT NULL, 
  UPDATED DATE NOT NULL, 
  CREATED_BY VARCHAR2(255) NOT NULL, 
  UPDATED_BY VARCHAR2(255) NOT NULL, 
  DEFAULT_LANGUAGE NUMBER(10) NOT NULL
)
/
ALTER TABLE ZH_REPOSITORY ADD CONSTRAINT CHECK_10954 CHECK (("IS_PUBLIC" IN ('Y', 'N')))
/
ALTER TABLE ZH_REPOSITORY ADD CONSTRAINT CHECK_10953 CHECK (("IS_ACTIVE" IN ('Y', 'N')))
/
CREATE SEQUENCE SEQ_ZH_REPOSITORY_ID START WITH 1 MINVALUE 1 INCREMENT BY 1
/
ALTER TABLE ZH_LANGUAGE ADD CONSTRAINT LANGUAGE_PK PRIMARY KEY (ID)
/
ALTER TABLE ZH_WORDS ADD CONSTRAINT WORDS_PK PRIMARY KEY (ID)
/
ALTER TABLE ZH_PROJECT ADD CONSTRAINT PROJECT_PK PRIMARY KEY (ID)
/
ALTER TABLE ZH_REPOSITORY ADD CONSTRAINT REPOSITORY_PK PRIMARY KEY (ID)
/
CREATE UNIQUE INDEX WEB_HOOK_UK ON ZH_REPOSITORY (WEB_HOOK)