<?php

namespace Zeedhi\Translate\Service\Access;


use Zeedhi\Framework\Security\OAuth\ServiceProvider;

class ServiceProviderImpl implements ServiceProvider {

    const SERVICES_PATH = '/json/services.json';
    /** @var ServiceImpl[] $services  */
    protected $services = array();

    public function __construct(){
        $services = $this->readJson(__DIR__.self::SERVICES_PATH);
        foreach($services as $service){
            $this->services[] = new ServiceImpl($service['name'],
                $service['clientId'],
                $service['clientSecret']);
        }
    }

    private function readJson($file){
        $json = file_get_contents($file);
        return json_decode($json, true);
    }

    public function findByClientAndSecretId($clientId, $clientSecret){
        foreach($this->services as $service){
            if($service->getClientId() === $clientId && $service->getClientSecret() === $clientSecret) {
                return $service;
            }
        }
        return null;
    }
}